<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="description" content="Webová aplikace pro správu vodoměru a ventilu - přehled">
<meta name="keywords" content="Správa vodoměru">
<meta name="author" content="Ladislav Hloušek">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/bootstrap/css/bootstrap.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/dist/css/sb-admin-2.css') }}">
<link rel="stylesheet" href="{{ url_for('static', filename='sbadmin/vendor/font-awesome/css/font-awesome.min.css') }}" type="text/css">

<title>Fengoo - WATER GUARD</title>
</head>

<body>
<div id="wrapper">
	<!-- Navigation -->
    <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/">
				<img style="display: inline; width: 150px;" src="{{ url_for('static', filename='images/logo.png') }}" alt="logo" title="Logo"/> - WATER GUARD
			</a>
        </div>
		<!-- /.navbar-header -->
		
		<ul class="nav navbar-top-links navbar-left">
			            
		</ul>
		
		<div class="navbar-default sidebar" role="navigation">
			<div class="sidebar-nav navbar-collapse">
				<ul class="nav" id="side-menu">
					<li>
						<a href="/"><i class="fa fa-dashboard fa-fw"></i> Přehled</a>
					</li>
          <li>
						<a href="/kalendar"><i class="fa fa-calendar fa-fw"></i> Kalendář</a>
					</li>          
					<li class="active">
						<a href="/historie"><i class="fa fa-history fa-fw"></i> Historie</a>
					</li>
					<li>
						<a href="/stats"><i class="fa fa-bar-chart fa-fw"></i> Statistiky</a>
					</li>
					<li>
						<a href="/nastaveni"><i class="fa fa-wrench fa-fw"></i> Nastavení</a>
					</li>
					<li>
						<a id="logoutBtn" href="#"><i class="fa fa-sign-out fa-fw"></i> Odhlásit</a>
					</li>
				</ul>
				<p style="text-align:center;">Verze: <span id="ver"></span></p>
				<p style="text-align:center;">© 2016-2022 NetVoice, s.r.o. All rights reserved</p>
			</div>
			<!-- /.sidebar-collapse -->
		</div>
		<!-- /.navbar-static-side -->
    </nav>
	
	<!-- Page Content -->
	<div id="page-wrapper">
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="page-header">Historie</h1>
				</div>
				<!-- /.col-lg-12 -->
			</div>
			<!-- /.row -->
			
			<div class="row">
				<div class="col-lg-6 col-md-6 col-xs-12">
					<div class="panel panel-primary">
						<div class="panel-heading">
							Měření vodoměru
						</div>
						<div class="panel-body">
							<div class="table-responsive" style="overflow-x: hidden;">
								<table class="table table-striped table-bordered table-hover dataTable" id="">
									<thead>
										<tr>
											<th>Počet L</th>
											<th>Stav ventilu</th>
											<th>Celkem L</th>
											<th>Datum a čas</th>
										</tr>
									</thead>
									<tbody>
										{% for item in vodData %}
										<tr>
											<td>{{ item.PocetLitry }}</td>
											<td>
											{% if item.StavVentil == 0 %}
												zavřeno
											{% else %}
												otevřeno
											{% endif %}
											</td>
											<td>{{ item.CelkemLitry }}</td>
											<td>{{ item.Ulozeno }}</td>
										</tr>
										{% endfor %}
									</tbody>
									<tfoot>
									</tfoot>
								</table>
							</div>
						</div>
					</div>
				</div>
				<!-- /.col-lg-12 -->
				
				<div class="col-lg-6 col-md-6 col-xs-12">
					<div class="panel panel-primary">
						<div class="panel-heading">
							Akce ventilu
						</div>
						<div class="panel-body">
							<div class="table-responsive" style="overflow-x: hidden;">
								<table class="table table-striped table-bordered table-hover dataTable" id="">
									<thead>
										<tr>
											<th>Stav ventilu</th>
											<th>Provedl</th>
											<th>Datum a čas</th>
										</tr>
									</thead>
									<tbody>
										{% for item in venData %}
										<tr>
											<td>
											{% if item.StavVentil == 0%}
												zavřeno
											{% else %}
												otevřeno
											{% endif %}
											</td>
											
											<td>
											{% if item.AutoAkce == 0%}
												Už. web
											{% elif item.AutoAkce == 2%}
												Už. tlačítko
											{% elif item.AutoAkce == 3%}
												Fengoo - cloud
											{% elif item.AutoAkce == 4%}
												Automat - kalendář
											{% else %}
												Automat
											{% endif %}
											</td>
											
											<td>{{ item.Ulozeno }}</td>
										</tr>
										{% endfor %}
									</tbody>
									<tfoot>
									</tfoot>
								</table>
							</div>
						</div>
					</div>
				</div>
				<!-- /.col-lg-12 -->
				
			</div>
			<!-- /.row -->
		</div>
		<!-- /.container-fluid -->
	</div>
	<!-- /#page-wrapper -->
</div>

<script src="{{ url_for('static', filename='sbadmin/vendor/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap Core JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/bootstrap/js/bootstrap.min.js') }}"></script>
<!-- Metis Menu Plugin JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/metisMenu/metisMenu.min.js') }}"></script>
<!-- DataTables JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-plugins/dataTables.bootstrap.min.js') }}"></script>
<script src="{{ url_for('static', filename='sbadmin/vendor/datatables-responsive/dataTables.responsive.js') }}"></script>
<!-- Custom Theme JavaScript -->
<script src="{{ url_for('static', filename='sbadmin/dist/js/sb-admin-2.js') }}"></script>
<script>
$(document).ready(function(){
	$.getJSON("/version", {}, function(data) {
		$("#ver").html(data);
	});
	
	//$("#logoutBtn").click(function(){
	//	if(confirm("Opravdu se chcete odhlásit?")) {
	//		location.href ="/logout";
	//	}
	//});

	$(".dataTable").DataTable({
		"responsive": true,
		"lengthChange": true,
		"lengthMenu": [ 10, 25, 50 ],
		"order": [[ 2, "desc" ]],
		"searching": true,
		language: {
			url: "{{ url_for('static', filename='sbadmin/vendor/datatables/js/czech.json') }}"
		},
	});	
});
</script>
<script src="{{ url_for('static', filename='js/modalLogout.js') }}"></script>
</body>

</html>
